package utils

import (
	"fmt"
	"strings"
)

func PromptContinue() bool {
	ret := strings.ToLower(prompt("Continue (y/n)"))
	if ret == "y" || ret == "yes" {
		return true
	}

	return false
}

func PromptConfirm(question string) bool {
	ret := fmt.Sprintf("%s (y/n)?", question)
	if ret == "y" || ret == "yes" {
		return true
	}

	return false
}

func SelectMenuItem(listMenu func()) string {
	listMenu()

	var option string
	fmt.Scanf("%s", &option)
	return option
}

func prompt(question string) string {
	fmt.Printf("%s %s :%s", colorYellow, question, colorReset)
	var ret string
	fmt.Scanf("%s", &ret)
	return ret
}
